Opened 13 years ago

Closed 13 years ago

Last modified 12 years ago

#15603 closed defect (fixed)

Can't build gimp2 on 10.3 Panther due to poppler dependency

Reported by: north@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 1.6.0
Keywords: gimp2 poppler dependency Cc: jmroot (Joshua Root)
Port:

Description

I know this isn't the fault of gimp2, but it's a show stopper anyway. Nobody seems to be able to get poppler building on Panther (or some other places) and it hamstrings gimp2.

However, I edited my Portfile to remove the poppler dependency and gimp2 builds just fine -- though without the pdf functionality that, quite frankly, almost nobody uses.

If there is some convenient way to discern the build is on Panther and remove the poppler dependency, all other dependencies are currently building and other Pantheroids could get gimp 2.4 working. Please forgive if this bug is inappropriate, but it seems like a simple fix. Thanks.

Change History (3)

comment:1 Changed 13 years ago by jmroot (Joshua Root)

Cc: jmr@… added
Milestone: Port Bugs
Resolution: fixed
Status: newclosed

Fixed in r37580.

comment:2 Changed 13 years ago by north@…

Thank you!

comment:3 Changed 12 years ago by (none)

Milestone: Port Bugs

Milestone Port Bugs deleted

Note: See TracTickets for help on using tickets.